---
kind: pipeline
name: deploy to swarm.autonomic.zone
steps:
  - name: bundle static
    image: plugins/docker
    settings:
      username:
        from_secret: docker_reg_username
      password:
        from_secret: docker_reg_passwd
      repo: decentral1se/kawaiipunk.xyz
      tags: v0.1.0

  - name: deployment
    image: decentral1se/stack-ssh-deploy:0.0.1
    settings:
      stack: kawaiipunk-xyz
      deploy_key:
        from_secret: drone_deploy_key
trigger:
  branch:
    - master
